Bug 76084 - Review for the j2ee/persistenceapi API
Review for the j2ee/persistenceapi API
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Persistence
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Andrei Badea
issues@javaee
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 08:55 UTC by Andrei Badea
Modified: 2006-08-17 12:08 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Javadoc (112.60 KB, application/octet-stream)
2006-08-09 16:06 UTC, Andrei Badea
Details
Architecture document (34.93 KB, text/xml)
2006-08-09 16:11 UTC, Andrei Badea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2006-05-09 08:55:20 UTC
In NetBeans 5.5 a new API in j2ee/persistenceapi was introduced to allow
supporting the Java Persistence API. This API allows creating a retrieving the
location for the persistence.xml file and retrieving the persistence scope of a
file. A review will be needed for this API.
Comment 1 Andrei Badea 2006-08-09 16:06:13 UTC
Created attachment 32717 [details]
Javadoc
Comment 2 Andrei Badea 2006-08-09 16:11:24 UTC
Created attachment 32718 [details]
Architecture document
Comment 3 Andrei Badea 2006-08-09 16:16:40 UTC
I would like to ask for an API review of the j2ee/persistenceapi module. The
intended stability is friend, thus I request a fast-track review.
Comment 4 Andrei Badea 2006-08-16 15:53:36 UTC
Since there are no comments I will close this issue as fixed tomorrow.
Comment 5 Andrei Badea 2006-08-17 12:08:18 UTC
Marking as fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo